cyrus-sasl-saslauthd won't build anymore

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

cyrus-sasl-saslauthd won't build anymore

Mark Knight-2
Is anyone else having issues building:

        cyrus-sasl-saslauthd-2.1.26_1

cyrus-sasl-2.1.26_12 is building okay, and I've tried re-building all
dependencies and checking UPDATING. I'm on FreeBSD 10.2-RELEASE-p3

Full build log here:

        http://www.knigma.org/scratch/cyrus-sasl-saslauthd.txt

Thanks for any ideas!
--
Mark Knight
Mobile: +44 7753 250584.  http://www.knigma.org/
Email: [hidden email].  Skype: knigma
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: cyrus-sasl-saslauthd won't build anymore

Matthew Seaman-5
On 03/10/2015 14:46, Mark Knight wrote:
> Is anyone else having issues building:
>
>     cyrus-sasl-saslauthd-2.1.26_1
>
> cyrus-sasl-2.1.26_12 is building okay, and I've tried re-building all
> dependencies and checking UPDATING. I'm on FreeBSD 10.2-RELEASE-p3

That update was backed out after it was found not to work.  Update your
ports -- you should find cyrus-sasl-saslauthd-2.1.26_2 now.

        Cheers,

        Matthew




signature.asc (976 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: cyrus-sasl-saslauthd won't build anymore

Mark Knight-2
On 03/10/2015 14:32, Matthew Seaman wrote:
> That update was backed out after it was found not to work.  Update your
> ports -- you should find cyrus-sasl-saslauthd-2.1.26_2 now.

Sorry, my mail was confusing. I current have these installed:

        cyrus-sasl-2.1.26_12
        cyrus-sasl-saslauthd-2.1.26_1

Updating to cyrus-sasl-saslauthd-2.1.26_3 is refusing to build, per the log:

        http://www.knigma.org/scratch/cyrus-sasl-saslauthd.txt

--
Mark Knight
Mobile: +44 7753 250584.  http://www.knigma.org/
Email: [hidden email].  Skype: knigma
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: cyrus-sasl-saslauthd won't build anymore

Mark Knight-2
On 03/10/2015 16:33, Mark Knight wrote:
> Sorry, my mail was confusing. I current have these installed:
>
>      cyrus-sasl-2.1.26_12
>      cyrus-sasl-saslauthd-2.1.26_1
>
> Updating to cyrus-sasl-saslauthd-2.1.26_3 is refusing to build, per the
> log:
>
>      http://www.knigma.org/scratch/cyrus-sasl-saslauthd.txt

Any ideas on this one please? This has been broken for a few days now.
All my other ports are up-to-date and there's nothing obvious in
/usr/ports/UPDATING.

Does this build for others?

Thanks, Mark
--
Mark Knight
Mobile: +44 7753 250584.  http://www.knigma.org/
Email: [hidden email].  Skype: knigma
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: cyrus-sasl-saslauthd won't build anymore

Walter Schwarzenfeld
Try to compile it in the port not with portupgrade. (For me in the port
compiles fine.)
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: cyrus-sasl-saslauthd won't build anymore

Mark Knight-2
On 06/10/2015 04:17, Walter Schwarzenfeld wrote:
> Try to compile it in the port not with portupgrade. (For me in the port
> compiles fine.)

Mine didn't. In the end, my workaround was to uninstall security/krb5

So it looks like there's a conflict between the current versions of
security/krb5 and security/cyrus-sasl-saslauthd.

Cheers, Mark

--
Mark Knight
Mobile: +44 7753 250584.  http://www.knigma.org/
Email: [hidden email].  Skype: knigma
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: cyrus-sasl-saslauthd won't build anymore

Hajimu UMEMOTO
Hi,

>>>>> On Fri, 9 Oct 2015 18:57:56 +0100
>>>>> Mark Knight <[hidden email]> said:

lists> Mine didn't. In the end, my workaround was to uninstall security/krb5

lists> So it looks like there's a conflict between the current versions of
lists> security/krb5 and security/cyrus-sasl-saslauthd.

It is not so easy.  It seems you have openssl port installed as well.
Since search path of include file is same between openssl port and mit
kerberos, it seems impossible to build with openssl port and base
heimdal when mit kerberos is installed without support of ports
framework for gssapi and/or openssl.

Sincerely,

--
Hajimu UMEMOTO
[hidden email]  [hidden email]
http://www.mahoroba.org/~ume/
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: cyrus-sasl-saslauthd won't build anymore

Hajimu UMEMOTO
Hi,

>>>>> On Sat, 10 Oct 2015 08:54:05 +0900
>>>>> Hajimu UMEMOTO <[hidden email]> said:

lists> So it looks like there's a conflict between the current versions of
lists> security/krb5 and security/cyrus-sasl-saslauthd.

ume> It is not so easy.  It seems you have openssl port installed as well.
ume> Since search path of include file is same between openssl port and mit
ume> kerberos, it seems impossible to build with openssl port and base
ume> heimdal when mit kerberos is installed without support of ports
ume> framework for gssapi and/or openssl.

I could build cyrus-sasl2-saslauthd with openssl port and base heimdal
even when mit kerberos is installed, with the attached patch applied.
However, it links two shared version of licrypto like follows:

$ ldd work/cyrus-sasl-2.1.26/saslauthd/saslauthd | grep -E '(gss|krb|crypto)'
        libgssapi.so.10 => /usr/lib/libgssapi.so.10 (0x80082d000)
        libgssapi_krb5.so.10 => /usr/lib/libgssapi_krb5.so.10 (0x800a36000)
        libkrb5.so.11 => /usr/lib/libkrb5.so.11 (0x800e5a000)
        libcrypto.so.8 => /usr/local/lib/libcrypto.so.8 (0x80151e000)
        libcrypto.so.7 => /lib/libcrypto.so.7 (0x802c01000)

One comes from base heimdal and the another comes from openssl port. I
suspect such binary is usable.

Sincerely,



--
Hajimu UMEMOTO
[hidden email]  [hidden email]
http://www.mahoroba.org/~ume/

_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"

cyrus-sasl2-saslauthd.diff (968 bytes) Download Attachment